Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
XFce installer problem

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Sonstiges
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
uwe59



Anmeldungsdatum: 07.07.2003
Beiträge: 18

BeitragVerfasst am: 27. Jan 2005 16:05   Titel: XFce installer problem

hallo zusammen,
wollte meine XFce4.0 installation auf den neuen 4.2 updaten. dazu habe ich von hier http://www.os-cillation.de/article.php?sid=43 den installer runtergeladen und auch die erforderlichen pakte gtk2-devel,xorg-x11-devel und die dbh-bibliothek installiert.
wenn ich jetzt aber installieren will kann der installer angeblich den x-server nicht finden. das ganze sieht dann so aus:
-----------------------
uwe@Vigor10:~/Eigene Downloads> xhost +localhost
localhost being added to access control list
uwe@Vigor10:~/Eigene Downloads> chmod +x xfce4-4.2.0-installer.bin
uwe@Vigor10:~/Eigene Downloads> xhost +localhost
localhost being added to access control list
uwe@Vigor10:~/Eigene Downloads> su
Password:
Vigor10:/home/uwe/Eigene Downloads # ./xfce4-4.2.0-installer.bin
Unable to connect to Xserver. This installer requires
X11 to work, please correct the problem and try again.
Vigor10:/home/uwe/Eigene Downloads #
--------------------------------------------------------------
wäre super wenn mir jemand weiterhelfen könnte da ich xfce 4.2 bereits von ner livecd kenne und sehr gern bei meinem suse einsetzen möchte.
vielen dank im voraus
gruß uwe
 
Benutzer-Profile anzeigen Private Nachricht senden

Tom2
Gast





BeitragVerfasst am: 27. Jan 2005 16:26   Titel:

Bin mir nicht ganz sicher ob's das ist, aber macht denn nicht der Verzeichnisname "Eigene Downloads" wegen dem Leerzeichen Probleme?
Stammt dieser Name noch aus alten Windowszeiten? Wink

Gruss
tom2
 

uwe59



Anmeldungsdatum: 07.07.2003
Beiträge: 18

BeitragVerfasst am: 27. Jan 2005 16:53   Titel:

nein- das kanns nicht sein, da ich den xfce-installer inzwischen direkt nach /home verschoben habe.
das problem das der xserver nicht gefunden wird scheine icht über einen ect-eintrag korrigiert zu haben, jedoch wird immer noch moniert und zwar sieht das jetzt so aus:
------------------
uwe@Vigor10:~/Eigene Downloads> xhost +localhost
localhost being added to access control list
uwe@Vigor10:~/Eigene Downloads> su
Password:
Vigor10:/home/uwe/Eigene Downloads # ./xfce4-4.2.0-installer.bin
Verifying file integrity... OK.
Extracting the installer... OK.
Checking for usable C compiler... gcc
Checking for usable C++ compiler... g++
Checking for GNU make... gmake
Checking for package config tool... pkg-config
Checking for GLib (GModule) >= 2.2.0... detected 2.4.6 in /opt/gnome
Checking for Gtk+ >= 2.2.0... detected 2.4.9 in /opt/gnome
Compiling installer-gui... failed, see /root/.xfce4.installer-log for details
Cleaning up... OK.
Vigor10:/home/uwe/Eigene Downloads #
-----------------------
das logfile hab ich mir angesehen - werd aber absolut nicht schlau draus - so sieht es aus:
##
## Started installation of xfce4 at 16:32h
##
## Visit http://forum.os-cillation.com/ if you
## have problems using this installer.
##

# Environment variables
PATH is set to "/usr/sbin:/bin:/usr/bin:/sbin:/usr/X11R6/bin:/bin:/usr/bin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin:/usr/local/openssl/bin:/usr/pkg/bin:/usr/ucb:/usr/X11R6/bin:/usr/X11R6/bin:/usr/openwin/bin:/usr/local/bin:/opt/local/bin:/usr/pkg/bin:/opt/gnome2/bin:/opt/gnome/bin:/opt/xfce4/bin:/opt/xfce/bin:/root/local/bin:/root/xfce/bin:/root/xfce4/bin"
PKG_CONFIG_PATH is set to "/usr/local/lib/pkgconfig:/usr/lib/pkgconfig:/opt/gnome/lib/pkgconfig:/usr/lib/pkgconfig:/usr/lib/pkgconfig:/opt/gnome/lib/pkgconfig"

## Checking for usable C compiler
gcc --version
/tmp/xfce4-4.2.0-installer/bootstrap.sh: line 37: gcc: command not found
## Checking for usable C++ compiler
g++ --version
/tmp/xfce4-4.2.0-installer/bootstrap.sh: line 58: g++: command not found
## Checking for GNU make
gmake --version
GNU Make 3.80
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

## Checking for package config tool
pkg-config --version
0.15.0

## Checking for GLib (GModule) >= 2.2.0
pkg-config --atleast-version=2.2.0 glib-2.0 gmodule-2.0
Prefix=/opt/gnome
Cflags=-I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include
Libs=-Wl,--export-dynamic -L/opt/gnome/lib -lgmodule-2.0 -ldl -lglib-2.0

## Checking for Gtk+ >= 2.2.0
pkg-config --atleast-version=2.2.0 gtk+-2.0
Prefix=/opt/gnome
Cflags=-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/usr/X11R6/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include
Libs=-Wl,--export-dynamic -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0

## Compiling installer-gui (warnings enabled)
gcc -I. -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/usr/X11R6/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -Wl,--export-dynamic -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -Wl,--export-dynamic -L/opt/gnome/lib -lgmodule-2.0 -ldl -lglib-2.0 -O0 -o installer-gui main.c i2t/i2t-wizard.c i2t/i2t-page.c i2t/i2t-package.c -Wall -Werror
/tmp/xfce4-4.2.0-installer/bootstrap.sh: line 172: gcc: command not found
## Compiling installer-gui (warnings disabled)
gcc -I. -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/usr/X11R6/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -Wl,--export-dynamic -L/opt/gnome/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -Wl,--export-dynamic -L/opt/gnome/lib -lgmodule-2.0 -ldl -lglib-2.0 -O0 -o installer-gui main.c i2t/i2t-wizard.c i2t/i2t-page.c i2t/i2t-package.c
/tmp/xfce4-4.2.0-installer/bootstrap.sh: line 172: gcc: command not found
----------------------
sagt das jemandem was?
gruß
uwe
 
Benutzer-Profile anzeigen Private Nachricht senden

mf
Gast





BeitragVerfasst am: 27. Jan 2005 21:06   Titel:

Vor der Eingabe von
Code:
./xfce4-4.2.0-installer.bin
mußt du als root
Code:
export DISPLAY=localhost:0
ausführen, damit der Xserver erkannt wird.
 

uwe59



Anmeldungsdatum: 07.07.2003
Beiträge: 18

BeitragVerfasst am: 27. Jan 2005 21:41   Titel:

danke euch für die tipps.
konnte das problem lösen.
hab aus nem anderen forum folgenten tipp bekommen:
xhost + , installerscript starten, anschließend xhost -
hat gefunzt.

@mf

deine variante hört sich auch gut an, da ich noch ne ähnliche installation hab werd ich das morgen gleich mal ausprobieren!

gruß
uwe
 
Benutzer-Profile anzeigen Private Nachricht senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Sonstiges Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy